> For the complete documentation index, see [llms.txt](https://developers.felt.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.felt.com/js-sdk-api-reference/layers/layerboundaries.md).

# LayerBoundaries

***

All the different sources for boundaries for a layer, including their combined result.

## Properties

### spatialFilters

> **spatialFilters**: `null` | [`MultiPolygonGeometry`](/js-sdk-api-reference/shared/multipolygongeometry.md)

Boundaries set by drawing spatial filters on the map.

When there are multiple spatial filters, they are combined into a multi-polygon.

***

### ephemeral

> **ephemeral**: `null` | [`GeometryFilter`](/js-sdk-api-reference/layers/geometryfilter.md)

Boundaries that are set ephemerally by viewers in their own session.

These are the filters that are set when the [LayersController.setLayerBoundary](/js-sdk-api-reference/layers/layerscontroller.md#setlayerboundary)\
method is called. There is no way to set these in the Felt UI - they can only be\
set using the SDK.

***

### combined

> **combined**: `null` | [`MultiPolygonGeometry`](/js-sdk-api-reference/shared/multipolygongeometry.md)

The combined result of all the boundaries set on the layer.

Each different source of boundary is intersected to produce the combined result.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.felt.com/js-sdk-api-reference/layers/layerboundaries.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
